{
    "name": "cs_tec9",
    "type": "Gun",
    "maxAmmoCapacity": 19,
    "compatibleAmmo": ["ammocreative", "ammo9mm"],
    "damage": 4,
    "rpm": 950,
    "fireModes": ["SINGLE"],	
    "fireSound": "m9",
    "gunRecoilInitialAmplitude" : 0.8,
    "shakeRecoilAmplitude" : 0.6,
    "shakeRecoilSpeed" : 3,
    "viewRecoilAmplitude" : 3.0,
    "compatibleAttachments": [
        "cantedrail",
		"cs_tec9_stock",
		"cs_tec9_auto",
		"cs_tec9_mag"
    ],	
	"compatibleAttachmentGroups": ["ar_sightsandscopes", "smg_muzzle", "cs_tec9_skins", "underbarrel"],	
    "phasedReloads": [
   {
      "phase": "RELOADING",
      "duration": 2525,
      "animation": "animation.model.reloadempty",
	  "condition": {
	  "allOf": [
      "reloadIterationIndex == 0",	
		{
		  "onEmptyReload": true
		},	  
		{
		 "doesNotHaveAttachment": "cs_tec9_mag"
		}
		]
	  }	  
    },
    {
      "phase": "RELOADING",
      "duration": 2655,
      "animation": "animation.model.reloadbigempty",
	  "condition": {
	  "allOf": [
      "reloadIterationIndex == 0",	
		{
		  "onEmptyReload": true
		},	  
		{
		 "hasAttachment": "cs_tec9_mag"
		}
		]
	  }	  
    },	
    {
      "phase": "RELOADING",
      "duration": 1905,
      "animation": "animation.model.reload",
      "condition": {
	  "allOf": [
      "reloadIterationIndex > 0",	
	  {
		  "onEmptyReload": false
	  },	  
	  {
		 "doesNotHaveAttachment": "cs_tec9_mag"
	  }
	  ]
	  }		  
    },
	{
      "phase": "RELOADING",
      "duration": 1955,
      "animation": "animation.model.reloadbig",
      "condition": {
	  "allOf": [
      "reloadIterationIndex > 0",	
	  {
		  "onEmptyReload": false
	  },	  
	  {
		 "hasAttachment": "cs_tec9_mag"
	  }
	  ]
	  }		  
    }
    ],
    "drawAnimations": [
        {
            "name": "animation.model.draw",
            "duration": 575
        }
    ],
    "inspectAnimations": [
        {
            "name": "animation.model.inspect",
            "duration": 4325
        }
    ],
    "effects": [
        {
            "phase": "hit_scan_acquired",
            "name": "tracer"
        },
        {
            "phase": "firing",
            "name": "muzzle_flash_small"
        }
    ],
    "features": [
        {
            "type": "Aiming",
            "zoom": 0.25,
            "condition": {
                "allOf": [{"doesNotHaveAttachmentGroup": "m16_sightsandscopes"}]
            }
        },			
        {
            "type": "PartVisibility",
            "parts": [
                {
                    "name": "scopemount",
                    "visible": true,
                    "condition": {
                        "allOf": [{"hasAttachmentGroup": "m16_sightsandscopes"}]
                    }
                },
                {
                    "name": "sight",
                    "visible": false,
                    "condition": {
                        "allOf": [{"hasAttachmentGroup": "m16_sightsandscopes"}]
                    }
                },				
                {
                    "name": "underrail",
                    "visible": true,
                    "condition": {
                        "allOf": [{"hasAttachmentGroup": "underbarrel"}]
                    }
                },				
                {
                    "name": "magazine",
                    "visible": false,
                    "condition": {
                        "allOf": [{"hasAttachment": "cs_tec9_mag"}]
                    }
                },				
                {
                    "name": "magazine2",
                    "visible": false,
                    "condition": {
                        "allOf": [{"hasAttachment": "cs_tec9_mag"}]
                    }
                },				
                {
                    "name": "magazine3",
                    "visible": true,
                    "condition": {
                        "allOf": [{"hasAttachment": "cs_tec9_mag"}]
                    }
                }
            ]
        },
        {
            "type": "MuzzleFlash",
            "effects": [
                {
                    "phase": "firing",
                    "name": "muzzle_flash_small"
                }
            ],
            "condition": {
                "allOf": [
                    {
                        "isUsingDefaultMuzzle": true
                    },
                    {
                        "doesNotHaveAttachmentGroup": "smg_muzzle"
                    }
                ]
            }
        },
		{
		"type": "Sound",
		"fireSound": "m9_silenced",
		"fireSoundVolume": 1.0,
		"condition": { "allOf": [{ "hasAttachmentGroup": "smg_muzzle" }] }
		}
    ],
    "glowingParts": [{"name": "glowy"}]
}